Get Campaign Registration
curl --request GET \
--url https://api.example.com/v2/sms-campaign-registration \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/sms-campaign-registration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/sms-campaign-registration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"sample_messages": [
"<string>"
],
"consent_description": "<string>",
"proof_attachment_id": "<string>",
"proof_url": "<string>",
"privacy_policy_url": "<string>",
"terms_and_conditions_url": "<string>",
"has_confirmed_consent": true,
"user_id": "<string>",
"object": "<string>"
}sms-campaign-registration
Get Campaign Registration
Get SMS Campaign Registration
Returns the organization’s A2P 10DLC campaign registration, if one exists.
GET
/
v2
/
sms-campaign-registration
Get Campaign Registration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
Sample SMS messages for the campaign
How end-users consent to receiving messages
Attachment ID for uploaded consent proof document
External URL to consent proof (alternative to file upload)
URL to the customer's privacy policy
URL to the customer's terms and conditions
Whether the user has attested that consent was obtained from all recipients
User who submitted the registration
String representing the object's type. Objects of the same type share the same value.
